<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();
$set['title']='Редактор анкеты';
include_once 'sys/inc/thead.php';
title();

if (isset($_POST['save'])){

if (isset($_POST['ank_name']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['ank_name']))
{
$user['ank_name']=$_POST['ank_name'];
mysql_query("UPDATE `user` SET `ank_name` = '".my_esc($user['ank_name'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат имени';

if (isset($_POST['familiya']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['familiya']))
{
$user['familiya']=$_POST['familiya'];
mysql_query("UPDATE `user` SET `familiya` = '".my_esc($user['familiya'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат Фамилии';

if (isset($_POST['ank_d_r']) && (is_numeric($_POST['ank_d_r']) && $_POST['ank_d_r']>0 && $_POST['ank_d_r']<=31 || $_POST['ank_d_r']==NULL))
{
$user['ank_d_r']=$_POST['ank_d_r'];
if ($user['ank_d_r']==null)$user['ank_d_r']='null';
mysql_query("UPDATE `user` SET `ank_d_r` = $user[ank_d_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_d_r']=='null')$user['ank_d_r']=NULL;
}
else $err[]='Неверный формат дня рождения';

if (isset($_POST['ank_m_r']) && (is_numeric($_POST['ank_m_r']) && $_POST['ank_m_r']>0 && $_POST['ank_m_r']<=12 || $_POST['ank_m_r']==NULL))
{
$user['ank_m_r']=$_POST['ank_m_r'];
if ($user['ank_m_r']==null)$user['ank_m_r']='null';
mysql_query("UPDATE `user` SET `ank_m_r` = $user[ank_m_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_m_r']=='null')$user['ank_m_r']=NULL;
}
else $err[]='Неверный формат месяца рождения';

if (isset($_POST['ank_g_r']) && (is_numeric($_POST['ank_g_r']) && $_POST['ank_g_r']>0 && $_POST['ank_g_r']<=date('Y') || $_POST['ank_g_r']==NULL))
{
$user['ank_g_r']=$_POST['ank_g_r'];
if ($user['ank_g_r']==null)$user['ank_g_r']='null';
mysql_query("UPDATE `user` SET `ank_g_r` = $user[ank_g_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_g_r']=='null')$user['ank_g_r']=NULL;
}
else $err[]='Неверный формат года рождения';
if (isset($_POST['ank_o_sebe']) && strlen2($_POST['ank_o_sebe'])<=512)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['ank_o_sebe']))$err[]='В поле "О себе" используются запрещенные символы';
else {
$user['ank_o_sebe']=$_POST['ank_o_sebe'];
mysql_query("UPDATE `user` SET `ank_o_sebe` = '".my_esc($user['ank_o_sebe'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='О себе нужно писать меньше :)';
///////////////////////////////////////////////////
if (isset($_POST['obraz']) && strlen2($_POST['obraz'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['obraz']))$err[]='В поле "Образование" используются запрещенные символы';
else {
$user['obraz']=$_POST['obraz'];
mysql_query("UPDATE `user` SET `obraz` = '".my_esc($user['obraz'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "Образование" нужно писать меньше :)';
if (isset($_POST['ispol']) && strlen2($_POST['ispol'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['ispol']))$err[]='В поле "любимый музыкальный исполнитель" используются запрещенные символы';
else {
$user['ispol']=$_POST['ispol'];
mysql_query("UPDATE `user` SET `ispol` = '".my_esc($user['ispol'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "любимый музыкальный исполнитель" нужно писать меньше :)';
///////////////////////////////////////////////////
if (isset($_POST['otkryt']) && strlen2($_POST['otkryt'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['otkryt']))$err[]='В поле "поразительное для вас открытие" используются запрещенные символы';
else {
$user['otkryt']=$_POST['otkryt'];
mysql_query("UPDATE `user` SET `otkryt` = '".my_esc($user['otkryt'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "поразительное для вас открытие" нужно писать меньше :)';
/////////////////////////////////////////////////////
if (isset($_POST['sovet']) && strlen2($_POST['sovet'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['sovet']))$err[]='В поле "ценный совет" используются запрещенные символы';
else {
$user['sovet']=$_POST['sovet'];
mysql_query("UPDATE `user` SET `sovet` = '".my_esc($user['sovet'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "ценный совет" нужно писать меньше :)';
//////////////////////////////////////////////////////
if (isset($_POST['kach']) && strlen2($_POST['kach'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['kach']))$err[]='В поле "Какое качество вы особенно цените в человеке" используются запрещенные символы';
else {
$user['kach']=$_POST['kach'];
mysql_query("UPDATE `user` SET `kach` = '".my_esc($user['kach'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "Какое качество вы особенно цените в человеке" нужно писать меньше :)';
//////////////////////////////////////////////////////
if (isset($_POST['cell']) && strlen2($_POST['cell'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['cell']))$err[]='В поле "Какую цель ставите перед собой сейчас?" используются запрещенные символы';
else {
$user['cell']=$_POST['cell'];
mysql_query("UPDATE `user` SET `cell` = '".my_esc($user['cell'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "Какую цель ставите перед собой сейчас?" нужно писать меньше :)';
////////////////////////////////////////////////////////
if (isset($_POST['bludo']) && strlen2($_POST['bludo'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['bludo']))$err[]='В поле "Любимое блюдо" используются запрещенные символы';
else {
$user['bludo']=$_POST['bludo'];
mysql_query("UPDATE `user` SET `bludo` = '".my_esc($user['bludo'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "Любимое блюдо" нужно писать меньше :)';
/////////////////////////////////////////////////////////
if (isset($_POST['lgor']) && strlen2($_POST['lgor'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['lgor']))$err[]='В поле "Ваш любимый город" используются запрещенные символы';
else {
$user['lgor']=$_POST['lgor'];
mysql_query("UPDATE `user` SET `lgor` = '".my_esc($user['lgor'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "Ваш любимый город" нужно писать меньше :)';
/////////////////////////////////////////////////////////////
if (isset($_POST['deti']) && strlen2($_POST['deti'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['deti']))$err[]='В поле "Хотите ли вы иметь детей" используются запрещенные символы';
else {
$user['deti']=$_POST['deti'];
mysql_query("UPDATE `user` SET `deti` = '".my_esc($user['deti'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "Хотите ли вы иметь детей" нужно писать меньше :)';
///////////////////////////////////////
if (isset($_POST['zanat']) && strlen2($_POST['zanat'])<=256)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['zanat']))$err[]='В поле "Ваше любимое занятие" используются запрещенные символы';
else {
$user['zanat']=$_POST['zanat'];
mysql_query("UPDATE `user` SET `zanat` = '".my_esc($user['zanat'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "Ваше любимое занятие" нужно писать меньше :)';
//////////////////////////////////////////////////////////////
if (isset($_POST['ank_city']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['ank_city']))
{
$user['ank_city']=$_POST['ank_city'];
mysql_query("UPDATE `user` SET `ank_city` = '".my_esc($user['ank_city'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия города';


if (isset($_POST['certa']) && strlen2($_POST['certa'])<=256)
{
if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['certa']))$err[]='В поле "Главная черта вашего характера" используются запрещенные символы';
else {
$user['certa']=$_POST['certa'];
mysql_query("UPDATE `user` SET `certa` = '".my_esc($user['certa'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='В поле "Главная черта вашего характера" нужно писать меньше :)';
//////////////////////////////////////////////////////////////
if (isset($_POST['ank_icq']) && (is_numeric($_POST['ank_icq']) && strlen($_POST['ank_icq'])>=5 && strlen($_POST['ank_icq'])<=9 || $_POST['ank_icq']==NULL))
{
$user['ank_icq']=$_POST['ank_icq'];
if ($user['ank_icq']==null)$user['ank_icq']='null';
mysql_query("UPDATE `user` SET `ank_icq` = $user[ank_icq] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_icq']=='null')$user['ank_icq']=NULL;
}
else $err[]='Неверный формат ICQ';



if (isset($_POST['set_show_mail']) && $_POST['set_show_mail']==1)
{
$user['set_show_mail']=1;
mysql_query("UPDATE `user` SET `set_show_mail` = '1' WHERE `id` = '$user[id]' LIMIT 1");
}
else
{
$user['set_show_mail']=0;
mysql_query("UPDATE `user` SET `set_show_mail` = '0' WHERE `id` = '$user[id]' LIMIT 1");
}

if (isset($_POST['ank_n_tel']) && (is_numeric($_POST['ank_n_tel']) && strlen($_POST['ank_n_tel'])>=5 && strlen($_POST['ank_n_tel'])<=11 || $_POST['ank_n_tel']==NULL))
{
$user['ank_n_tel']=$_POST['ank_n_tel'];
mysql_query("UPDATE `user` SET `ank_n_tel` = '$user[ank_n_tel]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат мобильного телефона';

if (isset($_POST['ank_dn_tel']) && (is_numeric($_POST['ank_dn_tel']) && strlen($_POST['ank_dn_tel'])>=5 && strlen($_POST['ank_dn_tel'])<=11 || $_POST['ank_dn_tel']==NULL))
{
$user['ank_dn_tel']=$_POST['ank_dn_tel'];
mysql_query("UPDATE `user` SET `ank_dn_tel` = '$user[ank_dn_tel]' WHERE `id` = '$user[id]' LIMIT 1");
}

else $err[]='Неверный формат домашнего телефона';

if (isset($_POST['stran']) && ($_POST['stran']==0 || $_POST['stran']==1 || $_POST['stran']==2 || $_POST['stran']==3 || $_POST['stran']==4 || $_POST['stran']==5 || $_POST['stran']==6 || $_POST['stran']==7|| $_POST['stran']==8))
{
$user['stran']=intval($_POST['stran']);
mysql_query("UPDATE `user` SET `stran` = '$user[stran]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err[]='Ошибка в поле "Цель знакомства"';

if (isset($_POST['ank_mail']) && ($_POST['ank_mail']==null || preg_match('#^[A-z0-9-\._]+@[A-z0-9]{2,}\.[A-z]{2,4}$#ui',$_POST['ank_mail'])))
{
$user['ank_mail']=$_POST['ank_mail'];
mysql_query("UPDATE `user` SET `ank_mail` = '$user[ank_mail]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный E-mail';
$q = mysql_query("SELECT * FROM `fanat` WHERE `user` = '$user[id]' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));

$msg_lenta="Изменил свою анкету!";

mysql_query("INSERT INTO `lenta` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$a[id]', '$msg_lenta', '$time')"); 
}
if (!isset($err))msg('Изменения успешно приняты');


}

err();
echo "<img src='/style/top.gif' alt='' class='icon'/>\n";
echo "<a href='prof.php'>Посмотреть анкету</a><br />\n";
echo "<div class='p_t'>";
echo "<font color='red'>Редактор Анкеты</font><br />\n";

echo "<form method='post' action='?$passgen'>\n";



echo "Имя в реале:<br />\n<input type='text' name='ank_name' value='".output_text($user['ank_name'],false)."' maxlength='32' /><br />\n";
echo "Фамилия:<br />\n<input type='text' name='familiya' value='$user[familiya]' maxlength='42' /><br />\n";
echo "Город:<br />\n<input type='text' name='ank_city' value='$user[ank_city]' maxlength='32' /><br />\n";
echo "Ваша страна:<br />\n<select name='stran'>\n";
echo "<option value='0'".($user['stran']==0?" selected='selected'":null).">Не указана</option><br />\n";
echo "<option value='1'".($user['stran']==1?" selected='selected'":null).">РОССИЯ</option><br />\n";
echo "<option value='2'".($user['stran']==2?" selected='selected'":null).">Украина</option><br />\n";
echo "<option value='3'".($user['stran']==3?" selected='selected'":null).">Беларусь</option><br />\n";
echo "<option value='4'".($user['stran']==4?" selected='selected'":null).">Азербайджан</option><br />\n";
echo "<option value='5'".($user['stran']==5?" selected='selected'":null).">Казахстан</option><br />\n";
echo "<option value='6'".($user['stran']==6?" selected='selected'":null).">Узбекистан</option><br />\n";
echo "<option value='7'".($user['stran']==7?" selected='selected'":null).">Англия</option><br />\n";
echo "<option value='8'".($user['stran']==8?" selected='selected'":null).">Германия</option><br />\n";
echo "</select><br />\n";
echo "Дата рождения<br />\n";
echo "<input type='text' name='ank_d_r' value='$user[ank_d_r]' size='2' maxlength='2' />\n";
echo "<input type='text' name='ank_m_r' value='$user[ank_m_r]' size='2' maxlength='2' />\n";
echo "<input type='text' name='ank_g_r' value='$user[ank_g_r]' size='4' maxlength='4' /><br />\n";
echo "О себе:<br />\n<input type='text' name='ank_o_sebe' value='$user[ank_o_sebe]' maxlength='512' /><br />\n";
echo "ICQ:<br />\n<input type='text' name='ank_icq' value='$user[ank_icq]' maxlength='9' /><br />\n";
echo "E-mail:<br />\n<input type='text' name='ank_mail' value='$user[ank_mail]' maxlength='32' /><br />\n";
echo "<label><input type='checkbox' name='set_show_mail'".($user['set_show_mail']==1?' checked="checked"':null)." value='1' /> Показывать E-mail в анкете</label><br />\n";
echo "Мобильный телефон:<br />\n<input type='text' name='ank_n_tel' value='$user[ank_n_tel]' maxlength='11' /><br />\n";
echo "Домашний телефон:<br />\n<input type='text' name='ank_dn_tel' value='$user[ank_dn_tel]' maxlength='15' /><br />\n";

echo '</div>';/////////////////////////////////
echo "<div class='rekl_main'>";
echo "<font color='red'>Редактор Автопортрета</font><br />\n";
echo "Ваше образование:<br />\n<input type='text' name='obraz' value='$user[obraz]' maxlength='256' /><br />\n";
echo "Ваш любимый музыкальный исполнитель:<br />\n<input type='text' name='ispol' value='$user[ispol]' maxlength='256' /><br />\n";
echo "Самое поразительное для вас открытие:<br />\n<input type='text' name='otkryt' value='$user[otkryt]' maxlength='256' /><br />\n";
echo "Самый ценный совет, который вы получили в жизни:<br />\n<input type='text' name='sovet' value='$user[sovet]' maxlength='256' /><br />\n";
echo "Какое качество вы особенно цените в человеке?<br />\n<input type='text' name='kach' value='$user[kach]' maxlength='256' /><br />\n";
echo "Какую цель ставите перед собой сейчас?<br />\n<input type='text' name='cell' value='$user[cell]' maxlength='256' /><br />\n";
echo "Любимое блюдо?<br />\n<input type='text' name='bludo' value='$user[bludo]' maxlength='256' /><br />\n";
echo "Ваш любимый город:<br />\n<input type='text' name='lgor' value='$user[lgor]' maxlength='256' /><br />\n";
echo "Хотите ли вы иметь детей?<br />\n<input type='text' name='deti' value='$user[deti]' maxlength='256' /><br />\n";
echo "Ваше любимое занятие?<br />\n<input type='text' name='zanat' value='$user[zanat]' maxlength='256' /><br />\n";
echo "Главная черта вашего характера:<br />\n<input type='text' name='certa' value='$user[certa]' maxlength='256' /><br />\n";
////////////////////////////////////////
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
echo '</div>';
echo "<img src='/style/top.gif' alt='' class='icon'/>\n";
echo "<a href='avtoportret.php'>Посмотреть автопортрет</a><br />\n";
include_once 'sys/inc/tfoot.php';
?>